- Home
- API Enriched
- Data Intelligence
- data-intelligence
- Update Status of Receiver.
Update Status of Receiver.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/receivers/example/status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"id":"example","namespace":"example","type":"DISABLE"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/receivers/example/status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "namespace": "example", "type": "DISABLE" }'Update receiver object status from enable to disable and vice versa.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which the suggestions are scoped.
ID Receiver Name.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to update.
object
Receiver Name.
Namespace in which the suggestions are scoped.
Responses
Section titled “Responses”A successful response.
Payload about status of receiver status result.
object
ID of the receiver.
Name of the receiver configured by the customer.
Values: not_modified , success Status about receiver status modification.
Examplegenerated
{ "id": "example", "receiver_name": "example", "status": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example